/* <sys/dir.h> */

#ifdef __DECC

#include <dirent.h>

#else

typedef unsigned short u_short;
typedef unsigned long u_long;
#define MAXNAMLEN 255

struct direct {
 u_long d_fileno;
 u_short d_reclen;
 u_short d_namlen;
 char d_name[MAXNAMLEN + 1];
};
#define d_ino d_fileno

extern DIR *opendir();
extern struct dirent *readdir();
extern long telldir();
extern seekdir();
#define reinddir(dirp) seekdir((dirp), (long)0)
extern closedir();

#endif
